```{eval-rst}
.. currentmodule:: torch.overrides
```

# torch.overrides
```{eval-rst}
.. py:module:: torch.overrides
```

This module exposes various helper functions for the ``__torch_function__``
protocol. See {ref}`extending-torch-python` for more details on the
``__torch_function__`` protocol.

## Functions
```{eval-rst}
.. autofunction::  get_ignored_functions
```

```{eval-rst}
.. autofunction::  get_overridable_functions
```

```{eval-rst}
.. autofunction::  resolve_name
```

```{eval-rst}
.. autofunction::  get_testing_overrides
```

```{eval-rst}
.. autofunction::  handle_torch_function
```

```{eval-rst}
.. autofunction::  has_torch_function
```

```{eval-rst}
.. autofunction::  is_tensor_like
```

```{eval-rst}
.. autofunction::  is_tensor_method_or_property
```

```{eval-rst}
.. autofunction::  wrap_torch_function
```
